<!--
  ~ Benchmarking Suite
  ~ Copyright 2014-2022 Engineering Ingegneria Informatica S.p.A.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<template>

    <v-dialog v-model="model.show" max-width="500px"
      @click="$emit('hide')"
    >
      <v-card
        @click="$emit('hide')"
      >
        <v-card-title>
          <span>{{model.title}}</span>
        </v-card-title>
        <v-card-text>
        {{model.text}}
        </v-card-text>
      </v-card>
    </v-dialog>

</template>

<script>

export default {

  name: 'MessageBox',

  props: {
    model: {
      type: Object,
      default: function() {return {show:false}}
    }
  }
    
};

</script>
